Skip to main content
GET
/
itsm
/
tickets
List ITSM Tickets
curl --request GET \
  --url https://api.leen.dev/v1/itsm/tickets \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-CONNECTION-ID: <api-key>'
import requests

url = "https://api.leen.dev/v1/itsm/tickets"

headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};

fetch('https://api.leen.dev/v1/itsm/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>",
      "vendor_attributes": {
        "id": "<string>",
        "vendor": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "type": "<string>",
        "type_id": "<string>",
        "status": "<string>",
        "priority": "<string>",
        "data": {
          "vendor": "JIRA",
          "id": "<string>",
          "statusCategory": "<string>",
          "customFields": {}
        }
      },
      "active": true,
      "type": "<string>",
      "type_id": "<string>",
      "parent_ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "description": "<string>",
      "ticket_created_at": "2023-11-07T05:31:56Z",
      "due_date": "2023-11-07T05:31:56Z",
      "closed_at": "2023-11-07T05:31:56Z",
      "assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status_updated_at": "2023-11-07T05:31:56Z",
      "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tags": [
        "<string>"
      ],
      "priority": "<string>",
      "url": "<string>",
      "identifier": "<string>"
    }
  ],
  "next_cursor": "<string>",
  "previous_cursor": "<string>"
}
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"detail": [
{}
]
}

Authorizations

X-CONNECTION-ID
string
header
required
X-API-KEY
string
header
required

Query Parameters

statusUpdatedSince
string<date-time> | null

Filter tickets updated since a specific time

projectId
string<uuid> | null

Filter tickets by project ID

assignedUserId
string<uuid> | null

Filter tickets by assigned user ID

createdByUserId
string<uuid> | null

Filter tickets by created by user ID

priority
string | null

Filter tickets by priority

status
string | null

Filter tickets by status

type
string | null

Filter tickets by type

active
boolean | null

Filter active tickets

identifier
string | null

Filter tickets by identifier (exact match)

tags
string | null

Filter tickets by tags (comma-separated, AND match — tickets must contain all specified tags)

jiraStandardIssueTypes
boolean | null

Filter to JIRA standard (non-subtask) issue types only. JIRA connections only.

excludeType
string | null

Exclude tickets of these types (comma-separated, e.g., 'Epic,Sub-task')

sort
string | null

Sort field and direction (e.g., 'created_at:desc', 'updated_at:asc'). Supported: updated_at, status_updated_at, ticket_created_at (or created_at as alias)

updatedSince
string<date-time> | null

Datetime filter, only return items updated since this datetime. Example format: 2021-01-01T00:00:00+00:00

Example:

"2021-01-01T00:00:00+00:00"

cursor
string | null

Skip token to continue from the last item in the previous page

limit
integer
default:100

Limit size (page size)

Required range: x >= 0

Response

Successful Response

items
ITSM Ticket · object[]
required

List of items returned in the response

next_cursor
string | null

Skip token to continue from the last item in the previous page

previous_cursor
string | null

Skip token to continue from the first item in the previous page